ng-container(*ngIf="action && sites")
  div
    h2 Constraints
    p Define allocation constraints for your Action deployment.
    label Site Type
    nz-select([formControl]="currentSiteType")
      nz-option(*ngFor="let siteType of allowedSiteTypes(action)", [nzValue]="siteType", [nzLabel]="siteType")
    span.warning(*ngIf="action.kind == 'Source'") Triggers can only be deployed on KUBERNETES
    p Force the deployment of this action to the selected Site type.
    label Sites and Node Pools ({{ countNodePool((filteredSites)) || 0 }})
    p Choose one or more Sites or Node Pools where to deploy your action.
    ryax-site-card([sites]="filteredSites", [constraints]="action.constraints", (constraintsSelectionUpdated)="updateDeployConstraints($event[0], $event[1])")

  div.section
    h2 Objectives
    p Objectives taken into account to deploy your Action (Leave empty for no objective).
    form([formGroup]="objectivesForm")
      label Cost
      nz-slider([nzStep]="10", formControlName="cost")
      label Energy
      nz-slider([nzStep]="10", formControlName="energy")
      label Performance
      nz-slider([nzStep]="10", formControlName="performance")
